import { cX as b, cJ as p, bK as y, ba as u, bd as m, ei as C, bv as s, ff as S, bB as n, fg as g, bO as w, bf as f, P as a, bh as i, bi as t, bj as o, a0 as d, em as V, bg as r, bk as P, bl as h, dm as v, en as E, V as c } from "./684d2f28.js";
import { useContext as l } from "react";
import { MarginControl as x } from "./0f3d7a1a.js";
import { PaddingControl as j } from "./2d5fc5ff.js";
import "react-dom";
const L = JSON.stringify(b.cascader, null, " "), N = {
  value: p("value", b.cascaderDefult),
  label: y,
  placeholder: u,
  disabled: m,
  onEvent: C,
  allowClear: s,
  options: S,
  style: n(g),
  labelStyle: n(w.filter((e) => ["accent", "validate"].includes(e.name) === !1)),
  showSearch: s.DEFAULT_TRUE,
  viewRef: f,
  margin: x,
  padding: j
}, R = (e) => /* @__PURE__ */ a(i, {
  children: [/* @__PURE__ */ a(t, {
    name: o.basic,
    children: [e.options.propertyView({
      label: d("cascader.options")
    }), e.value.propertyView({
      label: d("prop.defaultValue")
    }), V(e)]
  }), ["logic", "both"].includes(l(r).editorModeStatus) && /* @__PURE__ */ a(t, {
    name: o.interaction,
    children: [e.onEvent.getPropertyView(), P(e), h(e)]
  }), ["layout", "both"].includes(l(r).editorModeStatus) && e.label.getPropertyView(), ["logic", "both"].includes(l(r).editorModeStatus) && /* @__PURE__ */ a(t, {
    name: o.advanced,
    children: [v(e), E(e)]
  }), ["layout", "both"].includes(l(r).editorModeStatus) && /* @__PURE__ */ a(i, {
    children: [/* @__PURE__ */ c(t, {
      name: o.style,
      children: e.style.getPropertyView()
    }), /* @__PURE__ */ c(t, {
      name: o.labelStyle,
      children: e.labelStyle.getPropertyView()
    })]
  })]
});
export {
  N as CascaderChildren,
  R as CascaderPropertyView,
  L as defaultDataSource
};
